@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@100;200;300;400;500;600;700;800;900&family=Montserrat:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');


.category {
    border-radius: 20px;
    text-decoration: none;
    color: #373737;
    height: 300px;
    padding:10px;
    box-sizing: border-box;
    background-color: white;
    margin-bottom: 10px;
}
.category:hover {
    background-color: whitesmoke;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
        border: 0.1px solid #373737;
    transform: translateY(-10px);
    transition: all 300ms ease-in-out;
    color: #00ac96;
}

.category-image {
    border-radius: 20px;

    height:200px;
    width:100%;
}
.category-name {
    font-size: 23px;
}
.categories-grid {
    display: grid; grid-template-columns: 1fr 1fr 1fr;
    margin-left: 3vw;
    margin-right: 3vw;
}

html,body {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat';
}

.fancy-link {
    position: relative;
    text-transform: uppercase;
}
.fancy-link:hover {
    color: #00ac96;
}

.fancy-link::after{

    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    height: 2px;
    background: rgb(165, 0, 0);
    -webkit-transform: scaleX(0);
            transform: scaleX(0);
    -webkit-transform-origin: right;
            transform-origin: right;
    transition: -webkit-transform 250ms ease-in;
    transition: transform 250ms ease-in;
    transition: transform 250ms ease-in, -webkit-transform 250ms ease-in;
}

.fancy-link:hover::after{
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
-webkit-transform-origin: left;
    transform-origin: left;

}
.fancy-link {
    position: relative;
    text-transform: uppercase;
}

.fancy-link::after{

    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: rgb(165, 0, 0);
    -webkit-transform: scaleX(0);
            transform: scaleX(0);
    -webkit-transform-origin: right;
            transform-origin: right;
    transition: -webkit-transform 250ms ease-in;
    transition: transform 250ms ease-in;
    transition: transform 250ms ease-in, -webkit-transform 250ms ease-in;
}

.fancy-link:hover::after{
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
-webkit-transform-origin: left;
    transform-origin: left;

}
.main {

}

.top {
    height:65vh;
    width: 100%;
    position: relative;
}
.cuisine-image {
    height:100%;
    width:100%;
    object-fit: cover;
}
.card {
    font-size: 40px;
    padding:15px 15px;
    background-color: white;
    position: absolute;
    left:6vw;
    top: 50%;
    transform: translate(0%, -50%);
    max-width: 550px;
    border: 1px solid #00ac96;
}
.card p {
    font-weight: bold;
    letter-spacing: 2px;
    font-size: 12px;
    margin-left: 5px;
    color:crimson

}
.card h1 {
    margin-top: 0;
}


.restaurants {
    background-color: whitesmoke;
    height:fit-content;
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 2vw 6vw;
    box-sizing: border-box;
    gap:2vw;
}

.article {
    text-decoration: none; 
    background-size: cover;
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    height: 300px;
    width: 100%;

    margin-bottom: 3vw;
    box-sizing: border-box;
}
.article:hover > .article-top {
    color: rgb(110, 11, 31);
}

.recommendation-name {
    font-size: 30px;
    color: white;
    margin-top: 0;
}
.article-top {
    padding-top: 0.5vw;
    box-sizing: border-box;
    padding-right: 30%;
    background: linear-gradient(black, transparent);
    padding-left: 0.5vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width:100%;
}
.categories-bottom {
    display: flex;
}
.article-image {

    position: absolute;
    bottom: 30px;
    right: 0;
    object-fit: cover;
    height:100%;
    width:100%
}
.categoryName {
    font-size: 12px;
    color:white;
    letter-spacing: 2px;
    text-transform: uppercase;
    margin-bottom: 0;
}
.category-box {
    padding-bottom: 0.5vw;
    background: linear-gradient(transparent, black);

    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;

}

@media only screen and (max-width:600px) {
    .categories-grid {
        grid-template-columns: 1fr;
    }

    .restaurants {
        padding-top: 25px;
        box-sizing: border-box;
        grid-template-columns: 1fr;
    }
    .card h1 {
        font-size: 30px;
    }
    .top {
        height: 40vh;
        box-sizing: border-box;
    }
    .card {
        width: 90%;
        box-sizing: border-box;

    }
}